// Attract-Mode layout theme SDarcadeModVert
// Inspired by the Arcade SD multiboard
// SDarcade original theme by jedione
// SDarcadeMod_v2 version by dee2eR
// v2 version features tweaks by Friz and behrmr
// v2.1 & 2.2 version teaks by FrizzleFried ... Timer code for video snaps by qqplayer

class UserConfig
{ 
</ label="Simulated monitor bezel", help="Add bezel.",options="true,false", order=6 /> bezel="false";
</ label="Background music or none", help="Toggle music.", options="music, none,", order=1 /> enable_music="none";
</ label="Simulated scanlines", help="Toggle scanlines.", options="true,false", order=2 /> scanlines="false";
</ label="Preview size", help="Adjust game preview size.", options="largest,large,normal", order=3 /> preview_size="large";
</ label="Preview scroll speed", help="Adjust game preview scroll speed.", options="Fast,Normal,Slow", order=3 /> preview_speed="Normal";
</ label="Header Type", help="adjust logo animation type", options="Wheel,Marquee", order=4 /> header_type="Wheel";
</ label="Header Animation", help="adjust logo animation type", options="zoom,bounce,bounce two,drop up,drop in,slide beta,zoom two beta", order=5 /> animation_type="zoom";
</ label="MSG#1 = Game title", help="Toggle No Title / Title / Title + Extras.", options="title,extra,false", order=7 /> title="title";

// text below preview image

</ label="Alt MSG#1", help="Alternate message to display under preview image.", order=7 />
	msg1="wait for game to coin up";

// lowest line text

</ label="Message #2", help="Message to display flashing at bottom of screen.", order=8 />
	msg2="select game with joystick";
</ label="Monitor rotation", help="Monitor rotation.",options="horizontal,vertical", order=13 /> rotation="vertical";
}
local my_config = fe.get_config();

fe.layout.width=720;
fe.layout.height=480;

//set screen

local flx = fe.layout.width;
local fly = fe.layout.height;
local flw = fe.layout.width;
local flh = fe.layout.height;

//set vertical orientation

if (my_config["rotation"] == "vertical" )
{
fe.layout.orient=RotateScreen.Right;
}

//load modules

fe.load_module( "fade" );
fe.load_module("animate");
fe.do_nut("scripts/carrier.nut");


//starfield

fe.do_nut("scripts/star.nut");

//game logo wheel images

if (my_config["animation_type"] == "zoom" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.145,
			end = fly*0.020,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.250,
			end = fly*0.090,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.250,
			end = fly*0.090,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.145,
			end = fly*0.020,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.250,
			end = fly*0.090,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.250,
			end = fly*0.090,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "zoom two beta" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when = Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.145,
			end = fly*0.020,
			time = 0700 ,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.020,
			end = fly*-0.120,
			time = 0700 ,
		}

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.020,
			end = fly*-0.120,
			time = 0700 ,
		}		

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.230,
			end = fly*0.090,
			time = 0700 ,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*-0.120,
			time = 0700 ,
		}

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*-0.120,
			time = 0700 ,
		}		

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, fly*0.150, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.320,
			end = fly*0.150,
			time = 0700 ,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, fly*0.150, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.120,
			end = fly*-0.150,
			time = 0700 ,
		}

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, fly*0.150, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.150,
			end = fly*-0.120,
			time = 0700 ,
		}		

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		}
	}
	
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.145,
			end = fly*0.020,
			time = 0700 ,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.020,
			end = fly*-0.120,
			time = 0700 ,
		}

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.020,
			end = fly*-0.120,
			time = 0700 ,
		}		

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.230,
			end = fly*0.090,
			time = 0700 ,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*-0.120,
			time = 0700 ,
		}

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*-0.120,
			time = 0700 ,
		}		

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, fly*0.150, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 0.9,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.320,
			end = fly*0.150,
			time = 0700 ,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "marquee", flx*0.150, fly*0.150, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.120,
			end = fly*-0.150,
			time = 0700 ,
		}

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		local marquee2 = fe.add_artwork( "marquee", flx*0.150, fly*0.150, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 0.9,
			end = 0.1,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.150,
			end = fly*-0.120,
			time = 0700 ,
		}		

		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		
		}
	}
	
}

if (my_config["animation_type"] == "bounce two" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
}

//background for scanlines if selected

if (my_config["scanlines"] == "true" )
{
	local bg = fe.add_image( "images/scanwhite.png", 0, 0, flw, flh );
}

if (my_config["animation_type"] == "bounce" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 0.9,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "slide beta" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
				
		
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1
		marquee2.alpha = 0
		
		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 1.0,
			end = 0.01,
			time = 0500,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.010,
			end = fly*0.140,
			time = 0500 ,
		}
				local marquee2_alpha_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "alpha",
			start = 0,
			end = 255,
			time = 0001 ,
			}
		animation.add( PropertyAnimation( marquee2, marquee2_alpha_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );

		local marquee3 = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		marquee3.index_offset = 1
		marquee3.alpha = 0
		
		local marquee3_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 1.0,
			end = 0.01,
			time = 0500,
			tween = Tween.Linear,
		}
		local marquee3_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.010,
			end = fly*0.140,
			time = 0500 ,
			}
		local marquee3_alpha_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "alpha",
			start = 0,
			end = 255,
			time = 0001 ,
			}	
		
		animation.add( PropertyAnimation( marquee3, marquee3_alpha_cfg ) );
		animation.add( PropertyAnimation( marquee3, marquee3_scale_cfg ) );
		animation.add( PropertyAnimation( marquee3, marquee3_move_cfg ) );

		local marquee = fe.add_artwork( "wheel", flx*0.150, fly*-0.2, flw*0.700, flh*0.200 );	
		
		local marquee_move_cfg = {
			when = Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.010,
			time = 500 ,
			tween = Tween.Expo,
	
		}		
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
	
		{
		
local marquee2 = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 1.0,
			end = 0.01,
			time = 0500,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*0.230,
			time = 0500 ,
		}
		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );

		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 1.0,
			end = 0.01,
			time = 0500,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*0.230,
			time = 0500 ,
		}
		local marquee = fe.add_artwork( "wheel", flx*0.150, fly*-0.2, flw*0.700, flh*0.200 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.090,
			time = 500 ,
			tween = Tween.Expo,
		}		
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		}
		
		
		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, fly*-0.2, flw*0.700, flh*0.200 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.090,
			time = 500 ,
			Tween = Tween.Expo,
		}
		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 50, flw*0.700, flh*0.200 );
		marquee2.index_offset = -1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "scale",
			start = 1.0,
			end = 0.01,
			time = 0500,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == -1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*0.320,
			time = 0500 ,
		}
		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );

		local marquee2 = fe.add_artwork( "wheel", flx*0.150, 50, flw*0.700, flh*0.200 );
		marquee2.index_offset = 1

		local marquee2_scale_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "scale",
			start = 1.0,
			end = 0.01,
			time = 0500,
			tween = Tween.Linear,
		}
		local marquee2_move_cfg = {
			when = function( anim ) { if ( anim.transition.ttype == Transition.FromOldSelection && anim.transition.var == 1 ) return true; return false; },
			property = "y",
			start = fly*0.090,
			end = fly*0.320,
			time = 0500 ,
		}						
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_scale_cfg ) );
		animation.add( PropertyAnimation( marquee2, marquee2_move_cfg ) );
		}		
	}
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.010,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.090,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}

		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.200,
			end = fly*0.090,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

//background for scanlines if selected

if (my_config["scanlines"] == "true" )
{
	local bg = fe.add_image( "images/scanwhite.png", 0, 0, flw, flh );
}

//moving preview images

if (my_config["preview_size"] == "largest" )
{
	if (my_config["preview_speed"] == "Fast" )
	{
		local carrier = Carrier( -290, 80, 1300, 325, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.78
	}
	if (my_config["preview_speed"] == "Normal" )
	{
		local carrier = Carrier( -290, 80, 1300, 325, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "Slow" )
	{
		local carrier = Carrier( -290, 80, 1300, 325, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.93
	}

// Videotheme Timer Code By qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.24, 110, 375, 265),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );
       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;
       
    }
}

fe.add_ticks_callback(this, "on_tick_videotheme");

}

if (my_config["preview_size"] == "large" )
{
	if (my_config["preview_speed"] == "Fast" )
	{
		local carrier = Carrier( -153, 120, 1025, 250, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.78
	}
	if (my_config["preview_speed"] == "Normal" )
	{
		local carrier = Carrier( -153, 120, 1025, 250, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "Slow" )
	{
		local carrier = Carrier( -153, 120, 1025, 250, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.93
	}

// Videotheme Timer Code By qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.3125, 150, 270, 190),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );
       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;
       
    }   
}

fe.add_ticks_callback(this, "on_tick_videotheme");

}

if (my_config["preview_size"] == "normal" )
{
	if (my_config["preview_speed"] == "Fast" )
	{
		local carrier = Carrier( -50, 170, 820, 200, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.78
	}
	if (my_config["preview_speed"] == "Normal" )
	{
		local carrier = Carrier( -50, 170, 820, 200, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "Slow" )
	{
		local carrier = Carrier( -50, 170, 820, 200, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.93
	}

// Videotheme Timer Code By qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.35, 200, 216, 140),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );
       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;
       
    } 
}
fe.add_ticks_callback(this, "on_tick_videotheme");
}

// text at bottom of screen

local pulse = fe.add_text( my_config["msg2"], flx*0.000, fly*0.910, flw*1.000, flh*0.050 );
local pulse_text_cfg = {
	when =Transition.ToNewList,
	property = "alpha",
	start = 50, 
	end = 210,
	time = 2000,
	tween = Tween.Linear,
	pulse = true,
	font = "ARCADE",
}

animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
pulse.font = "ARCADE";
pulse.charsize = 20;
pulse.alpha= 210;

// text below preview image

if (my_config["title"] == "extra" )
{
	//game name line text

	local text = fe.add_text("[Title]", flx*0.000, fly*0.810, flw*1.000, flh*0.050 );
	text.font="ARCADE";
	text.charsize = 16;
	text.alpha = 210;

	//year manufacturer line text

	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.850, flw*1.000, flh*0.050 );
	text.font="ARCADE";
	text.charsize = 12;
	text.alpha = 170;

	//game # of # line text
	
	local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.945, flw*1.000, flh*0.050 );
	text.font="ARCADE";
	text.charsize = 10;
	text.alpha = 170;
}

if (my_config["title"] == "title" )
{
	local text = fe.add_text("[Title]", flx*0.000, fly*0.835, flw*1.00, flh*0.050 );
	text.font="ARCADE";
	text.charsize = 20;
	text.alpha = 200;
}

if (my_config["title"] == "false" )

{
	local text = fe.add_text( my_config["msg1"], flx*0.000, fly*0.835, flw*1.000, flh*0.050 );
	text.font="ARCADE";
	text.charsize = 20;
	text.alpha = 200;
}

//colourful selection box

if (my_config["preview_size"] == "largest" )
{
	fe.do_nut("scripts/biggestbox.nut"); 
}
if (my_config["preview_size"] == "large" )
{
	fe.do_nut("scripts/biggerbox.nut"); 
}
if (my_config["preview_size"] == "normal" )
{
	fe.do_nut("scripts/box.nut");
}

//scanlines if selected

if (my_config["scanlines"] == "true" )
{
	local bg = fe.add_image( "images/scanline.png", 0, 0, flw, flh );
	local bg = fe.add_image( "images/crt.png", 0, 0, flw, flh );
}

//bezel art if selected

if ( my_config["bezel"] == "true" )
{
	local bez = fe.add_image( "images/bez.png", 0, 0, flw, flh );
}

if (my_config["animation_type"] == "drop up" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.5,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.100,
			end = fly*0.01,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.150,
			end = fly*0.08,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 55, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}	
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.200,
			end = fly*0.115,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{		
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.5,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.100,
			end = fly*0.01,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.150,
			end = fly*0.08,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 55, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}	
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.200,
			end = fly*0.115,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "drop in" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		if (my_config["preview_size"] == "largest" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.80,
			time = 1000,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.80,
			time = 1000,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}		
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
	if (my_config["header_type"] == "Marquee" )
	{
		if (my_config["preview_size"] == "largest" )
		{		
		local marquee = fe.add_artwork( "marquee", flx*0.150, 5, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.8,
			time = 1000,
			tween = Tween.Bounce,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 38, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "normal" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.150, 50, flw*0.700, flh*0.200 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 0.9,
			time = 1000,
			tween = Tween.Bounce,
		}		
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
}

//background music if selected

if ( my_config["enable_music"] == "none" )
{
	local mysong = fe.add_sound("")
}
if ( my_config["enable_music"] == "music" )
{
	local mysong = fe.add_sound("music/music.mp3");
	mysong.loop = true;
	mysong.playing = true;
}

//game select sound

function select_sound( ttype, var, ttime ) {
 switch ( ttype ) {

  case Transition.ToNewSelection:
	      local sound = fe.add_sound("game.mp3");
	      sound.playing=true;
  break;
  }
 return false;
}
fe.add_transition_callback( "select_sound" );

